Bug 82629 - SVG getBBox does not update bound after path data change
Summary: SVG getBBox does not update bound after path data change
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Florin Malita
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-29 11:07 PDT by Stephen Chenney
Modified: 2012-07-17 13:44 PDT (History)
6 users (show)

See Also:


Attachments
Repro case (603 bytes, text/html)
2012-03-29 11:07 PDT, Stephen Chenney
no flags Details
Patch (2.43 KB, patch)
2012-07-17 12:52 PDT, Florin Malita
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Chenney 2012-03-29 11:07:39 PDT
Created attachment 134620 [details]
Repro case

When the path data inside an SVG path element is modified in JS, then getBBox is called on the path, the result does not reflect the updated values.

This may be Chrome specific, but Safari trunk also appears to be failing. Safari 5.1.2 does not seem to be failing.
http://code.google.com/p/chromium/issues/detail?id=115336
Comment 1 Florin Malita 2012-07-16 14:27:45 PDT
This appears to be fixed now, but we should add a test for it.
Comment 2 Florin Malita 2012-07-17 12:52:57 PDT
Created attachment 152809 [details]
Patch
Comment 3 WebKit Review Bot 2012-07-17 13:44:53 PDT
Comment on attachment 152809 [details]
Patch

Clearing flags on attachment: 152809

Committed r122872: <http://trac.webkit.org/changeset/122872>
Comment 4 WebKit Review Bot 2012-07-17 13:44:57 PDT
All reviewed patches have been landed.  Closing bug.